Subject: Re: [jose] #161: 7.8 Password Considerations

From: Mike Jones <[email-masked]>
Date: Wed, 6 Nov 2013 02:28:34 +0000

Hi Matt,

http://tools.ietf.org/html/draft-ietf-jose-json-web-algorithms-17#section-7.8 contains this text, which you wrote:

An ideal password is one that is as large (or larger) than the derived key length but less than the PRF's block size. Passwords larger than the PRF's block size are first hashed, which reduces an attacker's effective search space to the length of the hash algorithm (32 octets for HMAC SHA-256). It is RECOMMENDED that the password be no longer than 64 octets long for PBES2-HS512+A256KW.

Still, care needs to be taken in where and how password-based encryption is used. Such algorithms MUST NOT be used where the attacker can make an indefinite number of attempts to circumvent the protection.

About this, Jim wrote:
A.    I don't think that most people are going to understand what the difference would be between the PRF block size and the PRF output size. This recommendation needs to be included in the text about the use of the algorithms if we believe this is true. That is we need to state the block size for each of the PRF algorithms
B.     The last paragraph in this section basically says that it cannot be used for any offline storage of a key as this allows for indefinite number of attempts to circumvent the protection.

Could you please propose revised text to address these comments?

                                                            Thanks,

                                                            -- Mike

-----Original Message-----
From: jose issue tracker [mailto:[email-masked]]
Sent: Monday, August 19, 2013 8:10 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [jose] #161: 7.2 Password Considerations

#161: 7.2 Password Considerations

Description changed by [email-masked]<mailto:[email-masked]>:

Old description:

> I don't think that most people are going to understand what the

> difference would be between the PRF block size and the PRF output size.

> This recommendation needs to be included in the text about the use of

> the algorithms if we believe this is true.  That is we need to state

> the block size for each of the PRF algorithms

New description:

A. I don't think that most people are going to understand what the  difference would be between the PRF block size and the PRF output size.

This recommendation needs to be included in the text about the use of the  algorithms if we believe this is true.  That is we need to state the block  size for each of the PRF algorithms

B.  The last paragraph in this section basically says that it cannot be  used for any offline storage of a key as this allows for indefinite number  of attempts to circumvent the protection.

--

--

-------------------------+----------------------------------------------

-------------------------+---

Reporter:               |       Owner:  draft-ietf-jose-json-web-

  [email-masked]<mailto:[email-masked]> |  [email-masked]<mailto:[email-masked]>

     Type:  defect       |      Status:  new

Priority:  Editorial    |   Milestone:

Component:  json-web-    |     Version:

  algorithms             |  Resolution:

Severity:  -            |

Keywords:               |

-------------------------+----------------------------------------------

-------------------------+---

Ticket URL: <http://trac.tools.ietf.org/wg/jose/trac/ticket/161#comment:1>

jose <http://tools.ietf.org/jose/>